@import '~antd/es/style/themes/default.less';
@import './utils/utils.less';

.cardList {
  margin-bottom: -24px;

  .card {
    :global {
      .ant-card-meta-title {
        margin-bottom: 12px;
        & > a {
          display: inline-block;
          max-width: 100%;
          color: @heading-color;
        }
      }
      .ant-card-body:hover {
        .ant-card-meta-title > a {
          color: @primary-color;
        }
      }
    }
  }
  .item {
    height: 64px;
  }

  :global {
    .ant-list .ant-list-item-content-single {
      max-width: 100%;
    }
  }
}

.extraImg {
  width: 155px;
  margin-top: -20px;
  text-align: center;
  img {
    width: 100%;
  }
}

.newButton {
  width: 100%;
  height: 188px;
  color: @text-color-secondary;
  background-color: @component-background;
  border-color: @border-color-base;
  border-radius: @border-radius-sm;
}

.cardAvatar {
  width: 48px;
  height: 48px;
  border-radius: 48px;
}

.cardDescription {
  .textOverflowMulti();
}
.point > .ant-timeline-item-content {
  min-height: 0px !important;
}

.ant-timeline-item-content {
  min-height: 0px !important;
}
.pageHeaderContent {
  position: relative;
}
.h4 {
  font-weight: none !important;
}

.contentLink {
  margin-top: 16px;
  a {
    margin-right: 32px;
    img {
      width: 24px;
    }
  }
  img {
    margin-right: 8px;
    vertical-align: middle;
  }
}

@media screen and (max-width: @screen-lg) {
  .contentLink {
    a {
      margin-right: 16px;
    }
  }
}
@media screen and (max-width: @screen-md) {
  .extraImg {
    display: none;
  }
}

@media screen and (max-width: @screen-sm) {
  .pageHeaderContent {
    padding-bottom: 30px;
  }
  .contentLink {
    position: absolute;
    bottom: -4px;
    left: 0;
    width: 1000px;
    a {
      margin-right: 16px;
    }
    img {
      margin-right: 4px;
    }
  }
}
